package com.ruoyi.bst.bonusRefund.service;

import java.math.BigDecimal;
import java.util.List;

import com.ruoyi.bst.bonusRefund.domain.BonusRefundQuery;
import com.ruoyi.bst.bonusRefund.domain.vo.BonusRefundDailyStatVO;
import com.ruoyi.bst.bonusRefund.domain.vo.BonusRefundStatVO;

public interface BonusRefundDashboard {

    /**
     * 查询分成退款统计
     */
    BonusRefundStatVO selectStat(BonusRefundQuery query, List<String> keys);

    /**
     * 查询分成退款每日统计
     */
    List<BonusRefundDailyStatVO> selectDailyStat(BonusRefundQuery query, List<String> keys);

    /**
     * 查询用户分成退款总金额
     */
    BigDecimal selectSumOfUserBonusRefund(BonusRefundQuery query);

    /**
     * 查询平台分成退款总金额
     */
    BigDecimal selectSumOfPlatformBonusRefund(BonusRefundQuery query);  

}
